NEWGRP(1)

NAME
newgrp - log in to a new group

SYNOPSIS

newgrp [group [command]]

newgrp [-c command] [group]

DESCRIPTION

newgrp changes the group identification of its caller, analogously to login(1). The same person remains logged in, and the current directory is unchanged, but calculations of access permissions to files are performed with respect to the new group ID.

If no group is specified, the GID is changed to the login GID.

An optional command can be specified, which is invoked after group change instead of the user’s shell.

OPTIONS

-c, --command=command
    Pass command to the user’s shell with the -c option.

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

FILES

/etc/group, /etc/passwd

AUTHORS

Originally by Michael Haardt. Currently maintained by

SEE ALSO

login(1), group(5)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The newgrp command is part of the util-linux package which can be downloaded from